<?
  session_start();
  //require('../valtiempoinact.php');
  require('../conectar.php');
  require('libFormato.php');
  if(isset($_POST['botonregistro']))
    {
	 //seccion datos del cliente
	 $ap=$_POST['ap'];
	 $am=$_POST['am'];
	 $nombre=$_POST['nombre'];
	 $pais=$_POST['paises'];
	 $estado=$_POST['estados'];
	 $sexo=$_POST['sexo'];
	 $mail=$_POST['mail'];
	 $edad=$_POST['edad'];
	 $intacc1=$_POST['intacc1'];
	 $coco1=$_POST['coco1'];
	 $aco1=$_POST['aco1'];
	 $num1=$_POST['num1'];
	 $intacc2=$_POST['intacc2'];
	 $coco2=$_POST['coco2'];
	 $aco2=$_POST['aco2'];
	 $num2=$_POST['num2'];
	 $motivoviaje=$_POST['motviaje'];
	 $empoinst=$_POST['empoinst'];
	 //seccion datos renta	 
	 $fecha=$_POST['fecha'];
	 $gerente=$_POST['gerente'];
	 $coordinador=$_POST['depto'];
	 $ejecutivo=$_POST['depto2'];
	 $tipoprospeccion=$_POST['tipoprospeccion'];
	 $medio=$_POST['medio'];
	 $submedio=$_POST['submedio'];
	 //seccion evaluacion del prospecto
	 $califica=$_POST['combo'];
	 $motivonocal=$_POST['mncal'];
	 //$causanqotra=$_POST['causa'];
	 $tiempoestancia=$_POST['comfr'];
	 $nirazon=$_POST['nic'];
	 $fi=$_POST['fini'];
	 $ff=$_POST['ffin'];
	 //$propiedad=$_POST['deparprop'];
	 $estmtostatus=$_POST['estmnto'];
	 $camaexstatus=$_POST['camaex'];
	 $cunastatus=$_POST['cuna'];
	 $mascotastatus=$_POST['mascota'];
	 $cuotainvitado=$_POST['invitado'];
	 $nopersonas=$_POST['npers'];
	 $descuento=$_POST['descuento'];
	 $tipocambio=$_POST['dolar'];
	 $complejo=$_POST['compl'];
	 $iddepartamento=$_POST['iddep'];
	 $clavedepartamento=$_POST['clavedep'];
	 $montorentadep=$_POST['monto'];
	 $depositogarantia=$_POST['deposito']; 
	 $personaextraconcama=$_POST['perextcama'];
	 $personaextra=$_POST['persext']; 
	 $estacionamiento=$_POST['estmnto2'];
	 $camaextra=$_POST['camaex2'];
	 $cuna=$_POST['cuna2'];
	 $mascota=$_POST['mascota2'];
	 $subtotal=$_POST['subtotal2'];
	 $iva=$_POST['iva2'];
	 $total=$_POST['total2'];
	 $tipomoneda=$_POST['tipomoneda'];
	 $noaños=$_POST['noanos'];
	 $nomeses=$_POST['nomeses'];
	 $nosem=$_POST['nosem'];
	 $nodias=$_POST['nodias'];
	 //seccion de pre-apartado
	 $ubicacionactual=$_POST['ubiact'];
	 $factura=$_POST['factura'];
	 $tipopago=$_POST['tipopago'];
	 $formapago=$_POST['formapago'];
	 $capacidad=$_POST['cap'];
	 $limite=$_POST['lim'];
	 $fecha_cierre=$_POST['fcierrecita']; 
	 $status_renta=$_POST['status_renta'];
	 $tipo_renta=$_POST['tipo_renta'];
	 $numcitas=$_POST['numcitas'];
	 $infoadicional=$_POST['infoadicional'];
	 $tipocierre=$_POST['tipocierre'];
	 $observaciones=$_POST['obsvcierres'];
	 
	 $tipocierre=$_POST['tipocierre'];
	 $fcierrecita=$_POST['fcierrecita'];
	 $obsvcierres=$_POST['obsvcierres'];
	 
	
	 
     //VERIFICA SI EXISTEN REGISTROS EN TABLA LLENACOMBOS SI NO EXISTEN REGISTRA//
	 $sqlmotivoviaje="select * from llenacombos where campo='MOTIVO_VIAJE' and nom='$motivoviaje'";
	 $ejemotviaje=mysql_query($sqlmotivoviaje);
	 $encontro=mysql_num_rows($ejemotviaje);
	 mysql_free_result($ejemotviaje);
	 if($encontro==0){
	    $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$motivoviaje','MOTIVO_VIAJE')";
		mysql_query($insmotviaje);
	 }
	 $sqltipopros="select * from llenacombos where campo='TIPO_PROSPECCION' and nom='$tipoprospeccion'";
	 $ejetipopros=mysql_query($sqltipopros);
	 $encontrotipopros=mysql_num_rows($ejetipopros);
	 if($encontrotipopros==0){
	    $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$tipoprospeccion','TIPO_PROSPECCION')";
		mysql_query($insmotviaje);
	 }
	 mysql_free_result($ejetipopros); 
	 $sqlmotivonocal="SELECT * FROM llenacombos WHERE campo='MOTIVO_NO_CALIFICA' and nom='$motivonocal'";
	 $ejenocalifica=mysql_query($sqlmotivonocal);
	 $encontromotivo=mysql_num_rows($ejenocalifica);
	 if($encontromotivo==0){
	   $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$motivonocal','MOTIVO_NO_CALIFICA')";
	   mysql_query($insmotviaje);
	 }
	 mysql_free_result($ejenocalifica);
	 
	 $sqlmedio="SELECT * FROM medio WHERE id='$medio'";
	 $ejemedio=mysql_query($sqlmedio);
	 $encontromedio=mysql_num_rows($ejemedio);
	 if($encontromedio==0){
	   $insmedio="INSERT INTO medio(canal) values('$medio')";
	   mysql_query($insmedio);
	 }
	 mysql_free_result($ejemedio);
	 
	 // ESTO ES PARA SABER SI EL MEDIO ES PAGINAS WEB Y VERIFICAR SI ES QUE SE AGREGO UN NUEVO DIRECTORIO, INSERTALO A LA TABLA
	 if($medio==1)
	 {
	    // CONSULTA PARA COMPROBAR QUE LOS DIRECTORIOS NO SE REPITAN
		$consulta_directorios=mysql_query("select count(*) as repetido from directorios where id='$submedio'",$db_conexion);
		$directorio_repetido=mysql_fetch_array($consulta_directorios);
		if($directorio_repetido['repetido']==0)
		 {
		 $inserta_directorio=mysql_query("insert into directorios(descripcion) values('$submedio')",$db_conexion);  		
		 $nuevo_id=mysql_query("select * from directorios where descripcion='$submedio'");
		  if($res_nuevo_id=mysql_fetch_array($nuevo_id))
		   {
		    echo $subme=$res_nuevo_id['id'];
		   }		
		 }
		 else
		 {
		  echo $subme=$submedio;	 
		 }
	 }
	 
	 else
	 {	 
	 
	 // INSERTAR SUBMEDIOS	 
	 $sqlsubmedio=mysql_query("select count(*) as repetidos from submedio where idsubmedio='$submedio'",$db_conexion);
	 $ressqlsubmedio=mysql_fetch_array($sqlsubmedio);
	 if($ressqlsubmedio['repetidos']==0)
	 {
	  $insertasubmed=mysql_query("insert into submedio(idcanal,subcanal) values('$medio','$submedio')",$db_conexion);
	  // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	 $idsubm=mysql_query("select * from submedio where subcanal='$submedio'",$db_conexion);
	 if($ridsubm=mysql_fetch_array($idsubm))
	 { $idsubmedio=$ridsubm['idsubmedio']; }
 	 // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	  $subme=$idsubmedio;
	 } 
	 else
	 {
	  $subme=$submedio;	 
	 }
	 mysql_free_result($sqlsubmedio);
	 
	 // TERMINA INSERTAR SUBMEDIOS	 
	
     //TERMINA VERIFICACION SI EXISTEN REGISTROS EN TABLA LLENACOMBOS SI NO EXISTEN REGISTRA//
	 
	 }	 
	 // TERMINA ESTO ES PARA SABER SI EL MEDIO ES PAGINAS WEB Y VERIFICAR SI ES QUE SE AGREGO UN NUEVO DIRECTORIO, INSERTALO A LA TABLA
	 
	
	 //INSERTA DATOS DE CLIENTES//
	 $sql="INSERT INTO clientes (id_cliente,nombre,a_pat,a_mat,email,intacc1,coco1,aco1,num1,intacc2,coco2,aco2,num2,pais,estado,edad,motivo_viaje,sexo,empresa) 
	 VALUES ('','$nombre','$ap','$am','$mail','$intacc1','$coco1','$aco1','$num1','$intacc2','$coco2','$aco2','$num2','$pais','$estado','$edad','$motivoviaje','$sexo','$empoinst')";
	 $con=mysql_query($sql);
	 //TERMINA INSERTAR DATOS DE CLIENTES//
	 
	 //INSERTA DATOS DE LA RENTA//
	 switch ($diasapartado)
	        {
			 case 0:
			        $fechapartado=$fecha;	
			 case 1:
			        $fechapartado=date("Y-m-d", strtotime($fecha ."+ 1 days"));
					break;
			 case 2:
                    $fechapartado=date("Y-m-d", strtotime($fecha ."+ 2 days"));
					break;	
             case 3:
                 	$fechapartado=date("Y-m-d", strtotime($fecha ."+ 3 days"));
					break;	
             default:	
                    $fechapartado="";			 
			}
	if($descuento!=""){$autorizadesc="NO";}else{$autorizadesc="";}	
	 $sql="INSERT INTO rentas(id_renta,id_cliente,id_gerente,id_coordinador,id_ejecutivo,prospeccion,medio,submedio,califica,motivo_nocal,razon_ni,id_complejo,id_departamento,fecha,hora_registro,dia_inicio,dia_salida,fecha_apartado,deposito,hospedaje,perextcama,per_extra,garage,camaextra,cuna,mascota,subtotal,impuesto,otros,total,tipomoneda,formarenta,estmtostatus,camaexstatus,cunastatus,mascotastatus,cuotainvitado,noPersonas,no_anios,no_meses,no_sem,no_dias,ubicacionactual,factura,tipopago,formapago,limpieza,kit_B,fecha_cierre,status_renta,seguimiento,descuento,autoriza_desc,motivo_desc,tipo_renta,tipo_cambio,infoadicional,tipocierre,observaciones) VALUES ('',(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail'),'$gerente','$coordinador','$ejecutivo','$tipoprospeccion','$medio','$subme','$califica','$motivonocal','$nirazon','$complejo','$iddepartamento','$fecha',CURTIME(),'$fi','$ff','$fechapartado','$depositogarantia','$montorentadep','$personaextraconcama','$personaextra','$estacionamiento','$camaextra','$cuna','$mascota','$subtotal','$iva','','$total','$tipomoneda','$tiempoestancia','$estmtostatus','$camaexstatus','$cunastatus','$mascotastatus','$cuotainvitado','$nopersonas','$noaños','$nomeses','$nosem','$nodias','$ubicacionactual','$factura','$tipopago','$formapago','','','$fecha_cierre','$status_renta','','$descuento','$autorizadesc','','$tipo_renta','$tipocambio','$infoadicional','$tipocierre','$observaciones')";
	 $con=mysql_query($sql);
	 //TERMINA INSERTA DATOS DE LA RENTA//
	 //INSERTA HUESPEDES//
       $nmax=$nopersonas - $capacidad;	 
	   for($i=1;$i<=$nmax;$i++) // numero de inputs
        {
		 $huespednom=strtoupper($_POST["fil$i"]);
		 $huespedap=strtoupper($_POST["ap$i"]);
		 $huespedam=strtoupper($_POST["am$i"]);
         $sql="INSERT INTO huesped(id_huesped,id_renta,id_cliente,nombre,a_pat,a_mat) VALUES ('',(SELECT id_renta FROM rentas WHERE id_cliente=(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail')),(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail'),'$huespednom','$huespedap','$huespedam')";	
         $con=mysql_query($sql);		 
        } 
    //TERMINA INSERTA HUESPEDES
	    
	//INSERTA CITAS//
	   for($i=0;$i<$numcitas;$i++) // numero de inputs
        {
		 $asistio=$_POST["asistio$i"];
         $idem=$_SESSION['usuario_id'];
	     $fechacita=$_POST["fechacita$i"];
	     $horacita=$_POST["horacita$i"];
	     $observacion=$_POST["observacion$i"];
         $sql="INSERT INTO citas (id_cita,id_renta,id_emp,fecha,asistio,hora,observacion) VALUES ('',(SELECT id_renta FROM rentas WHERE id_cliente=(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail')),'$idem','$fechacita','$asistio','$horacita','$observacion')";	
         $con=mysql_query($sql);		 
        } 
    //TERMINA INSERTA CITAS
	//INSERTA CIERRES//
	  
         $sql="INSERT INTO cierres (id_cierre,id_renta,id_emp,tipocierre,fecha,observacion) VALUES ('',(SELECT id_renta FROM rentas WHERE id_cliente=(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail')),'$idem','$tipocierre','$fcierrecita','$obsvcierres')";	
         $con=mysql_query($sql);		 
       
    //TERMINA INSERTA CIERRES
	if($descuento!="")
      {
       $sql="SELECT c.nombre,d.clave FROM complejo as c INNER JOIN departamentos as d WHERE d.id_departamento='$iddepartamento AND d.id_complejo=c.id_complejo'";
	   $re=mysql_query($sql);
	   $res=mysql_fetch_array($re);
	   $datosrenta=$res[0]." ".$res[1];
	   $deps=($depositogarantia*100)/(100-$descuento);
	   $subt=($subtotal*100)/(100-$descuento);
	   $treal=$deps+$subt;
	   $sql2="SELECT id_renta,id_cliente FROM rentas WHERE id_cliente=(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail')";
	   $re2=mysql_query($sql2);
	   $res2=mysql_fetch_array($re2);
	   $res2["id_renta"]." ".$res2['id_cliente'];
	  ?>
	  <head>
      <script language="javascript" src="js/jquery-1.2.6.min.js"></script>
	  <script>
	     function alerta()
         {
          var desc="<?echo $descuento;?>";
          var ger="<?echo $gerente;?>";
          var cor="<?echo $coordinador;?>";
          var eje="<?echo $ejecutivo;?>";
          nombre="<?echo $nombre." ".$ap." ".$am?>";
          var div = top.document.getElementById('bkmsg');
          div.style.display="";
          ele=document.createElement('div');
          ele.name="cajamsg";
          ele.id="cajamsg";
		  ele2=document.createElement('div');
          ele2.name="res";
          ele2.id="res";
          div.appendChild(ele);
          div2=top.document.getElementById('cajamsg');
          if(!div2.className) {
		    div2.className = "cajamsg";
	        } else {
		    newClassName = div2.className;
		    newClassName+= " ";
		    newClassName+= "cajamsg";
		    div2.className = newClassName;
	        }
          div2.innerHTML="<table style='width:500px;margin-left:45px;font-size:12px;'><tr><td colspan='2'><b>Has ingresado un descuento del "+desc+"%, este debe ser autorizado.</b></td></tr><tr><td width='150'>Nombre del Cliente:</td><td>"+nombre+"</td></tr><tr><td colspan='2'>Motivo del descuento:</td></tr><tr><td colspan='2'><textarea id='motivo' style='width:500px;height:100px;max-width:500px;max-height:100px;resize: none;'></textarea></td></tr><tr><td  colspan='2'>Datos de la renta</td></tr><tr><td colspan='2'><?echo "<b>".$datosrenta."</b> de <b>".$fi."</b> a <b>".$ff."</b>";?></td></tr><tr><td colspan='2'><table width='100%'><tr><td><table width='100%' style='border-right:solid 1px;'><tr><td colspan='2'>Prospección</td></tr><tr><td>Gerente:</td><td id='ger'></td></tr><tr><td>Coordinador</td><td id='cor'></td></tr><tr><td>Ejecutivo:</td><td id='eje'></td></tr></table></td><td><table width='100%'><tr><td colspan='2'>Tarifas</td></tr><tr><td>Tarifa que aplica:</td><td align='right'><?echo Moneda($treal)." ".$tipomoneda;?></b></td></tr><tr><td>Descuento Solicitado:</td><td align='right'>"+desc+"%</td></tr><tr><td>Tarifa final:</td><td align='right'><b><?echo Moneda($total)." ".$tipomoneda;?></b></td></tr></table></td></tr></table></td></tr><tr><table style='width:500px;margin-left:45px;font-size:13px;'><tr><td><div class='enviar' align='center' onclick='javascript:top.areatrabajo.alertac();'>enviar</div></td></tr></table></tr></table>";
          $.post("buscaemp.php", { id: ger}, function(data){td=top.document.getElementById('ger'); td.innerHTML="<b>"+data+"</b>";});
          $.post("buscaemp.php", { id: cor}, function(data){td=top.document.getElementById('cor'); td.innerHTML="<b>"+data+"</b>";});
          $.post("buscaemp.php", { id: eje}, function(data){td=top.document.getElementById('eje'); td.innerHTML="<b>"+data+"</b>";});
        } 
        function alertac()
        {
		idcl="<?echo $res2["id_renta"];?>";
		idrn="<?echo $res2['id_cliente'];?>";
        var mot = top.document.getElementById('motivo');
        moti=mot.value;
	   if(moti=="")
		{
		 alert("ingresa el motivo de descuento");
		 mot.focus();
		}
		else{
		$.post("mailautoriza.php",{idc:idcl,idr:idrn,motivo:moti,ver:"reg"},function(data){
	    padre = $(top.document);
        $(padre).find("#res").html(data);
	    });
		var div = top.document.getElementById('bkmsg');
        div.style.display="none";
		alert('El prospecto se registro correctamente');
		window.open('regprospecto.php','_self');
		}
        }
	  </script>
	  </head>
	  <body onLoad="javascript:alerta();">
	  </body>
	  <?
	  }
else{
 echo "<script language='javascript'>alert('El prospecto se registro correctamente')</script>";
 echo "<script language='javascript'>window.open('regprospecto.php','_self')</script>";
}	  
}	  
	

?>	